Get one podcast with recent episodes.
curl --request GET \
--url https://dripstack.com/api/v1/podcasts/{publicationSlug}import requests
url = "https://dripstack.com/api/v1/podcasts/{publicationSlug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dripstack.com/api/v1/podcasts/{publicationSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"siteUrl": "<string>",
"imageUrl": "<string>",
"language": "<string>",
"authorName": "<string>",
"authorEmail": "<string>",
"copyright": "<string>",
"lastSyncedAt": "<string>",
"posts": [
{
"slug": "<string>",
"title": "<string>",
"subtitle": "<string>",
"publishedAt": "<string>",
"priceCents": 2,
"isPodcast": true
}
]
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>",
"issues": {}
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>",
"reason": "<string>"
}Podcasts
Get one podcast with recent episodes.
GET
/
api
/
v1
/
podcasts
/
{publicationSlug}
Get one podcast with recent episodes.
Path Parameters
Publication slug, which is the normalized host.
Query Parameters
Maximum number of episodes returned.
Required range:
1 <= x <= 100Response
Podcast details and episode titles.
Normalized publication identifier.
Publication display name.
Publication description from the feed.
Canonical publication URL.
Publication avatar or logo URL.
BCP 47 language tag (e.g. en, es).
Primary author display name.
Author contact email from the feed.
Copyright notice from the feed.
ISO timestamp of the last successful feed sync.
Recent posts for this publication.
Show child attributes
Show child attributes

